lampp 1.7: 'lampp php4' geht nicht

Irgendwelche Probleme mit XAMPP für Linux? Dann ist hier genau der richtige Ort um nachzufragen.

lampp 1.7: 'lampp php4' geht nicht

Postby Micodat » 03. February 2009 11:50

Hi,

habe lampp 1.7 unter Suse SLES 9.2 (32-Bit)

Wenn ich versuche, auf PHP4 umzuschalten, kommt:
Code: Select all
miclinux:/opt/lampp # ./lampp phpstatus
5.2.8
miclinux:/opt/lampp # ./lampp php4
XAMPP: Sorry, but I'm unable to activate PHP 4.


brauche aber noch PHP4, da ein wichtiges Modul noch nicht für PHP5 verfügbar ist.

Woran kann das liegen bzw. kann ich manuell umschalten?
(den php-4.4.9 Source habe ich)

Ciao
Frank
REALITY.SYS is corrupt. Reboot universe? (y/n)
Micodat
 
Posts: 27
Joined: 01. August 2005 10:21

Re: lampp 1.7: 'lampp php4' geht nicht

Postby Wiedmann » 03. February 2009 11:53

Woran kann das liegen

Daran, dass du die RELEASENOTES nicht gelesen hast.
Wiedmann
AF Moderator
 
Posts: 17106
Joined: 01. February 2004 12:38
Location: Stuttgart / Germany

Re: lampp 1.7: 'lampp php4' geht nicht

Postby Micodat » 03. February 2009 13:39

Wiedmann wrote:Daran, dass du die RELEASENOTES nicht gelesen hast.


Stimmt, ich habe nur die FAQ durchstöbert und bis zur Vorgängerversion war es noch enthalten.
Jetzt steht (worauf Du Dich beziehst) in den releasenotes
New in this version of XAMPP:
- Removed PHP 4



Nur dann frage ich mich, warum es dann nicht komplett rausgenommen wurde?
Denn bei Eingabe von ./lampp erscheint immer noch:

Code: Select all
miclinux:/opt/lampp # ./lampp
Usage: ./lampp <action>
        ...
        php5         Activate PHP5
        php4         Activate PHP4
        phpstatus    Which version of PHP is active?


Das trägt dann nur zur Verwirrung der User bei.


Aber: Dieser topic hat sich damit natürlich erledigt.

Ciao
Frank

P.S.: Hab's mir halt manuell wieder reingemacht.
REALITY.SYS is corrupt. Reboot universe? (y/n)
Micodat
 
Posts: 27
Joined: 01. August 2005 10:21

Re: lampp 1.7: 'lampp php4' geht nicht

Postby Wiedmann » 03. February 2009 14:47

Das trägt dann nur zur Verwirrung der User bei.

Sehen wir ein :-) .

Die entsprechenden Parameter werden dann im nächsten XAMPP nicht mehr angezeigt (solange es noch kein PHP6 als Release gibt).
Wiedmann
AF Moderator
 
Posts: 17106
Joined: 01. February 2004 12:38
Location: Stuttgart / Germany


Return to XAMPP für Linux

Who is online

Users browsing this forum: No registered users and 2 guests